Stop an interleaving experiment
Removes the interleaving from SDK payloads, so interleave() falls back to fallbackConfig.
POST
/
v1
/
interleavings
/
{id}
/
stop
cURL
curl -X POST 'https://api.growthbook.io/api/v1/interleavings/{id}/stop' \
-H 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.growthbook.io/api/v1/interleavings/{id}/stop"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.growthbook.io/api/v1/interleavings/{id}/stop', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.growthbook.io/api/v1/interleavings/{id}/stop",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.growthbook.io/api/v1/interleavings/{id}/stop"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.growthbook.io/api/v1/interleavings/{id}/stop")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.growthbook.io/api/v1/interleavings/{id}/stop")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"interleaving": {
"id": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"name": "<string>",
"owner": "<string>",
"tags": [
"<string>"
],
"archived": true,
"status": "draft",
"key": "<string>",
"trackingKey": "<string>",
"hashAttribute": "<string>",
"seed": "<string>",
"variations": [
{
"id": "<string>",
"key": "<string>",
"name": "<string>",
"config": "<string>",
"description": "<string>"
}
],
"jsonSchema": {
"schemaType": "schema",
"schema": "<string>",
"simple": {
"type": "object",
"fields": [
{
"key": "<string>",
"type": "integer",
"required": true,
"default": "<string>",
"description": "<string>",
"enum": [
"<string>"
],
"min": 123,
"max": 123,
"nullable": true,
"jsonSchema": "<string>"
}
],
"additionalProperties": true,
"invariants": [
{
"name": "<string>",
"rule": "<string>",
"message": "<string>"
}
]
},
"enabled": true,
"date": "2023-11-07T05:31:56Z"
},
"datasource": "<string>",
"interleavingQueryId": "<string>",
"userIdType": "<string>",
"metrics": [
{
"id": "<string>",
"analyses": [
{
"type": "paired"
}
]
}
],
"environmentSettings": {},
"description": "<string>",
"project": "<string>",
"ownerEmail": "<string>",
"dateStarted": "2023-11-07T05:31:56Z",
"dateStopped": "2023-11-07T05:31:56Z",
"coverage": 0.5,
"condition": "<string>",
"savedGroups": [
{
"match": "all",
"ids": [
"<string>"
]
}
],
"prerequisites": [
{
"id": "<string>",
"condition": "<string>"
}
]
}
}{
"confirmation": {
"id": "<string>",
"status": "pending",
"actions": [
{
"action": "feature.create",
"environments": [
"<string>"
]
}
],
"summary": "<string>",
"url": "<string>",
"expiresAt": "<string>",
"response": {
"status": 123,
"body": "<unknown>"
},
"note": "<string>"
},
"message": "<string>"
}Authorizations
bearerAuthbasicAuth
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1/features -H "Authorization: Bearer secret_abc123DEF456"
Path Parameters
The interleaving experiment id
Response
Resource created
Show child attributes
Show child attributes
Was this page helpful?
⌘I
cURL
curl -X POST 'https://api.growthbook.io/api/v1/interleavings/{id}/stop' \
-H 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.growthbook.io/api/v1/interleavings/{id}/stop"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.growthbook.io/api/v1/interleavings/{id}/stop', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.growthbook.io/api/v1/interleavings/{id}/stop",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.growthbook.io/api/v1/interleavings/{id}/stop"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.growthbook.io/api/v1/interleavings/{id}/stop")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.growthbook.io/api/v1/interleavings/{id}/stop")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"interleaving": {
"id": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"name": "<string>",
"owner": "<string>",
"tags": [
"<string>"
],
"archived": true,
"status": "draft",
"key": "<string>",
"trackingKey": "<string>",
"hashAttribute": "<string>",
"seed": "<string>",
"variations": [
{
"id": "<string>",
"key": "<string>",
"name": "<string>",
"config": "<string>",
"description": "<string>"
}
],
"jsonSchema": {
"schemaType": "schema",
"schema": "<string>",
"simple": {
"type": "object",
"fields": [
{
"key": "<string>",
"type": "integer",
"required": true,
"default": "<string>",
"description": "<string>",
"enum": [
"<string>"
],
"min": 123,
"max": 123,
"nullable": true,
"jsonSchema": "<string>"
}
],
"additionalProperties": true,
"invariants": [
{
"name": "<string>",
"rule": "<string>",
"message": "<string>"
}
]
},
"enabled": true,
"date": "2023-11-07T05:31:56Z"
},
"datasource": "<string>",
"interleavingQueryId": "<string>",
"userIdType": "<string>",
"metrics": [
{
"id": "<string>",
"analyses": [
{
"type": "paired"
}
]
}
],
"environmentSettings": {},
"description": "<string>",
"project": "<string>",
"ownerEmail": "<string>",
"dateStarted": "2023-11-07T05:31:56Z",
"dateStopped": "2023-11-07T05:31:56Z",
"coverage": 0.5,
"condition": "<string>",
"savedGroups": [
{
"match": "all",
"ids": [
"<string>"
]
}
],
"prerequisites": [
{
"id": "<string>",
"condition": "<string>"
}
]
}
}{
"confirmation": {
"id": "<string>",
"status": "pending",
"actions": [
{
"action": "feature.create",
"environments": [
"<string>"
]
}
],
"summary": "<string>",
"url": "<string>",
"expiresAt": "<string>",
"response": {
"status": 123,
"body": "<unknown>"
},
"note": "<string>"
},
"message": "<string>"
}
